Creates a new work order type
Request Information
URI Parameters :
None.
Body Parameters :
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| archived |
Used to archive job type |
boolean |
Request Formats :
application/json, text/json
{
"id": "74dcb0df-909c-47e3-9bfb-df1647116cdc",
"name": "sample string 2",
"sales_organization_id": "a5326a82-8c7c-4ad4-87bd-7675f9e14547",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-29T03:02:28.8622517+00:00",
"code": "sample string 7",
"archived": true
}
Response Information
Resource Description :
IHttpActionResult
job_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the job type |
string |
Required Max length: 50 |
| sales_organization_id |
Filled if specific to one organization, empty if global and can be used by all |
globally unique identifier | |
| description |
Description of the job type |
string |
Max length: 4000 |
| is_default |
Used to auto select one object when creating a jobs |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| archived |
Used to archive job type |
boolean |
Response Formats
application/json, text/json
{
"id": "a9099fe6-5126-439b-b226-32b338ab9c3a",
"name": "sample string 2",
"sales_organization_id": "4a56d6cf-0d6c-4534-9cb2-0ee07842129f",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-10-29T03:02:28.8622517+00:00",
"code": "sample string 7",
"archived": true
}